@import "../partials/dependencies";

$template-type: open;

$logo-url: "../../form/bwb/img/logo.png";
$logo-width: 220px;
$logo-height: 127px;
$logo-margin: 0 0 0 20px;
$header-height: 168px;
$header-padding: 20px 0 0;
$header-bg: white;
$breakpoint-mobile: 768px;

$primary-color: #009fda;
$secondary-color: #562281;
$tertiary-color: #5c5b5b;
$button-id-bg-color: #333;

$button-primary-bg: $primary-color;
$button-primary-color: white;
$button-primary-bg-hover: lighten($primary-color, 3%);
$button-in-title-color: $tertiary-color;
$border-radius: 5px;

$anchor-color: $primary-color;
$anchor-color-hover: $secondary-color;
$anchor-text-decoration: none;
$anchor-text-decoration-hover: none;
$font-family: Roboto, sans-serif;
$font-size: 93.75%;
$template-width: 100%;
$template-type-open-width: 1170px;

$content-padding: 0 0 20px;
$mobile-content-padding: 0px 13px 13px;

$container-border: none;

$pip-nav-background-color: transparent;
$pip-nav-border-color: white;
$pip-nav-border-color-active: $primary-color;
$pip-nav-anchor-color: $primary-color;
$pip-nav-bg-active: transparent;
$pip-nav-font-size: 1.067em;
$pip-nav-bg-hover: rgba(255, 255, 255, .5);
$toggle-pip-nav-color: #000;
$pip-nav-border-weight: 1px;

$pip-progress-bar-bg: lighten($primary-color, 50%);

$title-text-color: $secondary-color;
$title-bg-color: white;
$title-font-size: 1.86em;
$title-font-weight: 500;
$title-padding-top: 0.5em;
$title-padding-bottom: 1em;
$title-padding-right: 20px;
$title-padding-left: 20px;

$heading1-color: $secondary-color;
$heading1-fontsize: 1.86em;
$heading1-weight: 500;

$heading2-color: $secondary-color;
$heading2-fontsize: 18px;
$heading2-weight: 700;

$stap-active-anchor-font-weight: bold;
$stap-active-bg-color: $secondary-color;

$icon-question-sign-color: $secondary-color;

$pip-phase-title-bg: #F3F3F3;
$pip-phase-title-border: #f3f3f3;
$pip-phase-title-color: #333;

@import "template-normalize";
@import "basic-template";
@import "template-defaults";
@import "button-reset";
@import "template-media-queries";

html,
body {
  height: auto;
}

html {
  min-height: 100%;
  position: relative;
  background: #fff;
}

body {
  margin-bottom: 250px;
}

header {
  width: 100%;

  .inner {
    margin: 0 auto;
    border-bottom: 1px solid #f0eeec;
    padding-bottom: 20px;
  }
}

.pip-case-form-phase-title {
  font-weight: normal;
}

.form-navigation {
  margin-bottom: 1.5em;

  .stap.active a {
    font-weight: 500;
  }
}

.pip-nav {
  position: relative;
}

.toggle-pip-nav {
  position: absolute;
  color: #fff;
  right: -18px;
  top: -53px;
  z-index: 2;
}

.toggle-pip-nav-text {
  display: none;
}

// footer

.site-footer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  color: #4a4a4a;
  z-index: 20;
  padding-bottom: 30px;
}

.site-footer .container {
  max-width: $template-type-open-width;
  margin: 0 auto;
}

.site-footer .footer-border {
  background-color: #009fda;
  overflow: hidden;
  margin-bottom: 30px;
}

.site-footer .footer-border .square {
  width: 50px;
  height: 50px;
  float: right;
}

.site-footer .footer-border .square.first-color {
  background-color: #857464;
}

.site-footer .footer-border .square.second-color {
  background-color: #562281;
}

.site-footer a {
  color: $primary-color;
  text-decoration: none;

  &:hover {
    color: $secondary-color;
  }
}

.site-footer a,
.site-footer span {
  padding: 0 10px;
  display: inline-block;
}

.site-footer span+a {
  padding-left: 0;
}

.footer-nav {
  display: inline-block;
  padding-left: 0;
  padding: 0;
  margin-top: 0;

  li {
    list-style: none;
  }
}



@media only screen and (max-width: 1200px) {

  #main {
    box-sizing: border-box;
  }

  header {
    padding-right: 20px;
    padding-left: 20px;
  }

  .block-header h1,
  h1 {
    font-size: 1.875em !important;
  }

  .pip-nav,
  header .inner {
    width: 100%;
  }

  .pip-nav {
    padding: 0;
  }

  .site-footer .container {
    padding: 0 12px;
  }

}

@media only screen and (max-width: 768px) {

  header,
  #logo {
    height: 55px;
  }

  header {
    background: $primary-color;
    margin-bottom: 2em;
    padding: 0;

    .inner {
      border: none;
    }
  }

  #logo a {
    display: block;
    background: url('../../form/bwb/img/sprite-home-blocks.png') no-repeat -619px -59px;
    width: 38px;
    height: 38px;
    position: relative;
    top: 7px;
  }

  .pip-nav-menu {
    border-bottom: 1px solid #f0eeec;
    display: block;
  }

}


@media only screen and (min-width: 990px) {

  #main {
    padding-top: 0;
  }

  .pip-nav {
    background: white;
    margin: 0 auto;

    ul li.current a {
      border-bottom: 2px solid $pip-nav-border-color-active;
      margin-bottom: -1px;
    }
  }

}